fop 1.1

## org.apache.fop.pdf
Class ObjectStream

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.AbstractPDFStream
              org.apache.fop.pdf.PDFStream
                  org.apache.fop.pdf.ObjectStream

All Implemented Interfaces:
  PDFWritable

    public class ObjectStream

extends PDFStream

An object stream, as described in section 3.4.6 of the PDF 1.5 Reference.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFStream
`data`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Method Summary
`protected void` `outputRawStreamData(java.io.OutputStream out)` Sends the raw stream data to the target OutputStream.
`protected void` `populateStreamDict(java.lang.Object lengthEntry)` Populates the dictionary with all necessary entries for the stream.

Methods inherited from class org.apache.fop.pdf.PDFStream
`add, getBufferOutputStream, getBufferWriter, getDataLength, getSizeHint, output, setData`

Methods inherited from class org.apache.fop.pdf.AbstractPDFStream
`encodeAndWriteStream, encodeStream, get, getDefaultFilterName, getDictionary, getFilterList, multipleFiltersAllowed, outputStreamData, prepareImplicitFilters, put, setDocument, setupFilterList`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### outputRawStreamData

    protected void outputRawStreamData(java.io.OutputStream out)
                                throws java.io.IOException

  Description copied from class: `PDFStream`
  Sends the raw stream data to the target OutputStream.

  Overrides:
    `outputRawStreamData` in class `PDFStream`
  Parameters:
    `out` - OutputStream to write to
  Throws:
    `java.io.IOException` - In case of an I/O problem

### populateStreamDict

    protected void populateStreamDict(java.lang.Object lengthEntry)

  Description copied from class: `AbstractPDFStream`
  Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.

  Overrides:
    `populateStreamDict` in class `AbstractPDFStream`
  Parameters:
    `lengthEntry` - value for the /Length entry

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.